<?php
namespace app\user\model;

class Headquarters extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'code'       =>'varchar',//编号
        'name'       =>'varchar',//名称
        'type'       =>'tinyint',//1企业(业务公司),2客户,3供应商(只有供应商升级为业务公司的时候)
        'company_type'       =>'tinyint',//公司类型，只有企业有效，对应于company_type表
        'invoice_title'       =>'varchar',//发票抬头
        'invoice_people'       =>'varchar',//发票纳税人
        'invoice_addr'       =>'varchar',//发票地址
        'invoice_mobile'       =>'varchar',//发票联系方式
        'invoice_code'       =>'varchar',//纳税识别号
        'invoice_bank'       =>'varchar',//纳税银行
        'invoice_bankNo'       =>'varchar',//纳税银行账户
        'invoice_img'       =>'varchar',//营业执照
        'remark'       =>'varchar',//备注
        'status'       =>'tinyint',//使用状态,1启用,0禁用
        'is_del'       =>'tinyint',//是否删除,0未删除,1已删除
        'creater'       =>'varchar',//创建人
        'createrid'       =>'int',//创建人id
        'addtime'       =>'datetime',//创建时间
        'updater'       =>'varchar',//修改人
        'updaterid'       =>'int',//修改人id
        'updatetime'       =>'datetime',//修改时间
        'relation_code'       =>'char',//关联编码(目前只有供应商升级为业务公司时有用，存储业务公司编码)

    ];
}